markpickford

Member
Mar 28, 2013
8
0
1
cPanel Access Level
Root Administrator
Hi,

I hope some one can help me with this.

I received a notification e-mail this morning informing me that RPMs had been altered. It read:

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param

I have absolutely no idea what this could mean.

Above the warning I have the following:

Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:
> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

This seems like a good idea as I didn't make any changes to anything in cpanel that I am aware of.

If this 'fix' is safe how would I run the fix?

Kind regards,

Mark
 

JaredR.

Well-Known Member
Feb 25, 2010
1,834
23
143
Houston, TX
cPanel Access Level
Root Administrator
If this 'fix' is safe how would I run the fix?
Did you try running this

Code:
# /usr/local/cpanel/scripts/check_cpanel_rpms --fix
from the shell as root? That is how you run the fix.

It is safe; it only reinstalls cPanel-provided RPM packages that are part of cPanel 11.36.